#!/bin/bash

LOG_FILE=/var/log/Jellyfin_shutdown.log
CONTAINER_NAME=jellyfin

if ! command -v tee > /dev/null; then
    echo "`date` tee command not found. Please install tee." >> $LOG_FILE
    exit 12
fi

if ! command -v docker-compose > /dev/null; then
    echo "`date` docker-compose command not found. Please install docker-compose." | tee -a $LOG_FILE
    exit 12
fi

# Check Jellyfin status
if ! docker-compose ps | grep $CONTAINER_NAME | grep Up > /dev/null; then
    echo "`date` Jellyfin is closed." | tee -a $LOG_FILE
    exit 0
fi

# shutdown Jellyfin
docker-compose down
echo "`date` wait 10 seconds for $CONTAINER_NAME to shutdown" | tee -a $LOG_FILE
sleep 10

# Check Jellyfin status
if docker-compose ps | grep $CONTAINER_NAME | grep Up > /dev/null; then
    echo "`date` Jellyfin is running." | tee -a $LOG_FILE
    exit 12
fi
exit 0